parser

Написать ответ на текущее сообщение

 

 
   команды управления поиском

Помогите запустить доступ парсера к mysql на новом vps

Василий Куклин 05.03 22:05

Переезжаю на новый vps.
Установил ubuntu. Поставил VestaCP. Настроил Apache.
Добился, чтобы заработал parser3_4_6_debian10x64.tar.gz (из раздела "Скачать").
Но вот на эту ошибку уже сил нет:
/home/bl12/web/my.site/cgi-bin/lib/libparser3mysql.so

driver failed to initialize client library '/home/bl12/web/my.site/cgi-bin/lib/system/libmysqlclient.so', /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.28' not found (required by /home/bl12/web/t3.black-list.dog/cgi-bin/lib/system/libmysqlclient.so)

/home/bl12/web/my.site/public_html/../engine/Sql.p(76:18)
Подскажите, Как соединить Parser с MySQL ?


ОС: ubuntu 18
Parser(https://my.site/cgi-bin/parser3.cgi): Parser/3.4.6 (compiled on x86_64-unknown-linux-gnu)
MySQL(по словам phpMyAdmin):
Сервер баз данных
Сервер: Localhost via UNIX socket
Тип сервера: MySQL
Версия сервера: 5.7.33-0ubuntu0.18.04.1 - (Ubuntu)
Версия протокола: 10

root@server:~# sudo apt install libc6
Reading package lists... Done
Building dependency tree
Reading state information... Done
libc6 is already the newest version (2.27-3ubuntu1.4).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.